Download it now!
Bug 43671 - VIEWING: CJK Emphasis marks not showing in slideshow
Summary: VIEWING: CJK Emphasis marks not showing in slideshow
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: CJK
  Show dependency treegraph
 
Reported: 2011-12-09 08:58 UTC by Axel Niedenhoff
Modified: 2019-11-28 16:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Presentation showing the problem (12.42 KB, application/vnd.oasis.opendocument.presentation)
2011-12-09 08:58 UTC, Axel Niedenhoff
Details
Second test document showing various character adornments (32.62 KB, application/vnd.oasis.opendocument.presentation)
2014-08-26 15:32 UTC, Matthew Francis
Details
The second test document rendered in the editor (41.96 KB, image/png)
2014-08-26 15:33 UTC, Matthew Francis
Details
The second test document rendered in the Slide Show view (102.56 KB, image/png)
2014-08-26 15:33 UTC, Matthew Francis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Niedenhoff 2011-12-09 08:58:49 UTC
Created attachment 54276 [details]
Presentation showing the problem

I can apply emphasis marks to text characters, but they do not show when I run a screen presentation. To reproduce:

Open the attached presentation.

Marvel at the ingenious title text on slide 1, showing all the possible emphasis marks both above and below the text.

Start a screen presentation (F9).

See that the emphasis marks do not show in the screen presentation.
Comment 1 Axel Niedenhoff 2011-12-16 08:45:00 UTC
I have tested the presentation on Windows (XP SP2) and found the same behavior there. So I changed the OS field above to “All”.
Comment 2 A (Andy) 2013-03-03 12:15:54 UTC
reproducible with LO 4.0.0.3. (Win7 Home, 64bit)
Comment 3 Matthew Francis 2014-08-26 07:11:51 UTC
Still present on OSX/4.3.0.4

If you underline the "a"s in that test presentation, the underline also gets broken in an interesting way half way along the line (again, only in the Slide Show view)
Comment 4 Matthew Francis 2014-08-26 15:31:30 UTC
Dug around a bit further to see how far the issue extends. It seems there's a whole wormery of little bugs with various character adornments such as underlines and overlines.

See following attachments
Comment 5 Matthew Francis 2014-08-26 15:32:14 UTC
Created attachment 105292 [details]
Second test document showing various character adornments
Comment 6 Matthew Francis 2014-08-26 15:33:11 UTC
Created attachment 105293 [details]
The second test document rendered in the editor
Comment 7 Matthew Francis 2014-08-26 15:33:37 UTC
Created attachment 105294 [details]
The second test document rendered in the Slide Show view
Comment 8 Matthew Francis 2015-04-07 11:04:44 UTC
Occurs back to OOo / LO 3.3.0
-> Version: Inherited from OOo
Comment 9 tommy27 2016-04-16 07:27:33 UTC Comment hidden (obsolete)
Comment 10 Axel Niedenhoff 2016-04-18 06:24:28 UTC
The bug is still present in LO 5.1.2.2.
Comment 11 QA Administrators 2017-05-22 13:24:34 UTC Comment hidden (obsolete)
Comment 12 Axel Niedenhoff 2017-05-26 09:03:59 UTC
This problem is still found in LO 5.3.3.2.
Comment 13 QA Administrators 2018-05-27 02:32:19 UTC Comment hidden (obsolete)
Comment 14 Axel Niedenhoff 2018-09-10 13:41:56 UTC
This problem is still found in LO 6.1.0.3.
Comment 15 Commit Notification 2018-10-30 23:29:43 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/144416c428712b039927ff9d6b1eae05bc2c2478%5E%21

tdf#43671 creatCanvasFont with EmphasisMark.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2018-11-01 13:29:04 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/17cd7dd708631f7af9e66860b403627416e4545e%5E%21

tdf#43671 set emphasis mark of vcl::Font (windows).

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2018-11-01 13:29:10 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/beaba5f1abbb9a1461286fc831ea6a30131bb3b5%5E%21

tdf#43671 set emphasis mark of vcl::Font (opengl).

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Mark Hung 2018-11-04 06:51:46 UTC
Ooops.. I forget there is still things to do for Linux.
Comment 19 QA Administrators 2019-11-05 03:29:12 UTC Comment hidden (obsolete)
Comment 20 Axel Niedenhoff 2019-11-28 16:22:33 UTC
The bug is still present in LO 6.3.3.2 (Linux 3.10; VCL: gtk3; UI render: standard).